export const tableHeader = selectEquiType => {

	// model => model    specifications =>  specificationss


	// 1：物料；4：生产设备; 5：模具；6：备品备件; 7：周转车；8：舟皿；9：产品；10：消耗材料，11：干燥区，12.质检，13.包装材料，14.工装夹具 ，15.刀具 ,99.其他
	switch (+selectEquiType) {
		case 1:
			return [{
					label: '型号',
					prop: 'modelType'
				},
				{
					label: '规格',
					prop: 'specification'
				},
				{
					label: '牌号',
					prop: 'brandNum'
				}
			]
		case 5:
			return [{
					label: '牌号',
					prop: 'brandNum'
				},
				{
					label: '型号',
					prop: 'model'
				},
				{
					label: '编号',
					prop: 'codeNumber'
				},

				{
					label: '已冲压次数',
					prop: '',
					formatter(row) {
						return row.extInfo.startCyTimes || 0
					}
				},
				{
					label: '最大冲压次数',
					prop: '',
					formatter(row) {
						return row.extInfo.maxCyTimes
					}

				},
			]


		case 7:
			return [{
					label: '规格',
					prop: 'specifications'
				},
				{
					label: '材质',
					prop: 'materialQuality',

				},

			]


		case 8: //'舟皿'
			return [{
					label: '规格',
					prop: 'specifications'
				},
				{
					label: '型号',
					prop: 'modelType'
				},
				{
					label: '槽数',
					prop: 'slotNum'
				},

			]
		case 10:
			return []
		case 14:
			return []

	}

	return []
}